Name:		lsiutil
Summary:	LSIUtil Configuration Utility
Version:	1.56
Release:	1.1
License:	GPL
URL:		ftp://ftp.lsi.com/HostAdapterDrivers/linux/lsiutil/
Source0:	lsiutil.tar.gz
Source1:	LSIUtil_UG.pdf
Group:		System/Utilities
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc

%description
LSIUtil is a powerful configuration utility that you can use with all LSI
Logic Fibre Channel, SAS, and SCSI host board adapters. LSIUtil
enables you to perform tasks such as updating board firmware, scanning
for connected devices, viewing configuration page information, running
diagnostic tests, and displaying current system events and statistics. You
can run LSIUtil in text-based, menu-driven mode or in full-featured
command line mode.


%prep
%setup -q -n %{name}

%build
rm -f lsiutil
gcc -Wall -O lsiutil.c -o lsiutil

%install
%__install -D -m 0755 lsiutil %{buildroot}%{_sbindir}/lsiutil
%__install -D %{S:1} %{buildroot}/%{_defaultdocdir}/%{name}/LSIUtil_UG.pdf

%files
%defattr(-,root,root)
%{_sbindir}/lsiutil
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/LSIUtil_UG.pdf

%changelog
* Thu May 08 2008 Carsten Schoene <cs@linux-administrator.com> - 1.56
- initial build
